Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface WLECConnectionServiceRuntimeMBean

public interface WLECConnectionServiceRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This class is used for monitoring a WebLogic WLEC component

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`int` | `getConnectionPoolCount()` Returns the number of configured WLEC connection pools.
`WLECConnectionPoolRuntimeMBean[]` | `getConnectionPools()` Returns an array of WLECConnectionPoolRuntimeMBeans that each represents the statistics for a WLEC Connection Pool.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getConnectionPoolCount

    public int getConnectionPoolCount()

  Returns the number of configured WLEC connection pools.

  Returns:
    The connectionPoolCount value

### getConnectionPools

    public WLECConnectionPoolRuntimeMBean[] getConnectionPools()

  Returns an array of WLECConnectionPoolRuntimeMBeans that each represents the statistics for a WLEC Connection Pool.

  Returns:
    The connectionPools value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD